Debian Bug report logs - #658871
Call-time pass-by-reference has been removed from php5 (>= 5.4)

version graph

Package: php-kolab-filter; Maintainer for php-kolab-filter is Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Mon, 6 Feb 2012 13:57:36 UTC

Severity: serious

Tags: sid, wheezy

Found in version php-kolab-filter/0.1.9-4

Fixed in version php-kolab-filter/0.1.9-4.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#658871; Package php-kolab-filter. (Mon, 06 Feb 2012 13:57:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. (Mon, 06 Feb 2012 13:57:40 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 06 Feb 2012 14:53:46 +0100
Package: php-kolab-filter
Version: 0.1.9-4
Severity: important
User: pkg-php-maint@lists.alioth.debian.org
Usertags: php54

Dear maintainer,

package php-kolab-filter currently fails to parse correctly with
PHP 5.4 with following error(s):

PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/php/Horde/Kolab/Test/Filter.php on line 135
Errors parsing /usr/share/php/Horde/Kolab/Test/Filter.php
xargs: php5: exited with status 255; aborting

These error were generated by php in the lint mode.  To reproduce
please install php5-cli and run:

dpkg -L php-kolab-filter | grep -E ".php[54]?" | xargs -i php -l {}

PHP 5.4 is planned to be included in wheezy, as such, this bug might
become RC if not fixed before 5.4 is uploaded to sid.

Thanks, 
--
Ondřej Surý <ondrej@debian.org>

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Severity set to 'serious' from 'important' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:04 GMT) Full text and rfc822 format available.

Added indication that bug 658871 blocks 666411 Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:14 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 14 Apr 2012 19:51:09 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 09:48:40 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:48:44 GMT) Full text and rfc822 format available.

Message #16 received at 658871-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 658871-close@bugs.debian.org
Subject: Bug#658871: fixed in php-kolab-filter 0.1.9-4.1
Date: Sun, 29 Apr 2012 09:47:47 +0000
Source: php-kolab-filter
Source-Version: 0.1.9-4.1

We believe that the bug you reported is fixed in the latest version of
php-kolab-filter, which is due to be installed in the Debian FTP archive:

php-kolab-filter_0.1.9-4.1.debian.tar.gz
  to main/p/php-kolab-filter/php-kolab-filter_0.1.9-4.1.debian.tar.gz
php-kolab-filter_0.1.9-4.1.dsc
  to main/p/php-kolab-filter/php-kolab-filter_0.1.9-4.1.dsc
php-kolab-filter_0.1.9-4.1_all.deb
  to main/p/php-kolab-filter/php-kolab-filter_0.1.9-4.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658871@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated php-kolab-filter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 09:26:32 +0000
Source: php-kolab-filter
Binary: php-kolab-filter
Architecture: source all
Version: 0.1.9-4.1
Distribution: unstable
Urgency: low
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 php-kolab-filter - Postfix filters for the Kolab server
Closes: 658871
Changes: 
 php-kolab-filter (0.1.9-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixed call-time pass-by-reference (Closes: #658871).
Checksums-Sha1: 
 9841b972eb3c07b53b579dc065624bbd8413ddbc 1522 php-kolab-filter_0.1.9-4.1.dsc
 89414fdb4b8a47f635c799a910016fbc1c2a0a0b 9558 php-kolab-filter_0.1.9-4.1.debian.tar.gz
 3316664279265f1ea5bc43683eb1e155f90d2431 72952 php-kolab-filter_0.1.9-4.1_all.deb
Checksums-Sha256: 
 36247c2693aee2fe2cbc7b18265a1d53122c7eaec95c7e04dcbdb044a60473ba 1522 php-kolab-filter_0.1.9-4.1.dsc
 3ef4e62ca9c55580561039df2434c14eac7e072754869047245449043550b27a 9558 php-kolab-filter_0.1.9-4.1.debian.tar.gz
 df5659cfd36247ec8231092ff646db1d03187cc5004760dccb3e2959aec5425e 72952 php-kolab-filter_0.1.9-4.1_all.deb
Files: 
 e3bc654ef233bd50abae750571603108 1522 php extra php-kolab-filter_0.1.9-4.1.dsc
 4633818e678ae4da1796ec0ac1a1c2c0 9558 php extra php-kolab-filter_0.1.9-4.1.debian.tar.gz
 5d96db15e027b324ce0819414ee02cf5 72952 php extra php-kolab-filter_0.1.9-4.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+dCiEACgkQl4M9yZjvmkmPAQCgpHUxHVZ7XUxQP64EUrHAG+ib
Qq0AoMEFUad73Ds1J7Oe5bc4G0MPzKgl
=WvUT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:41:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:20:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.